define(['jquery','PopDialog','__PageSplit'], function($, pd, PageSplit) {
    'use strict';

/*    // 加载销量
    var salesVolumeLoad = function () {
        var list=$('span[id^=SalesV_]');
        var id = new Array(list.length);
        var idStr="";
        var aryIndex = 0;
        for (var i = 0; i < list.length; i++) {
            id[aryIndex++] = list[i].id;
            idStr+= list[i].id;
        }
        if(idStr==""){
            return;
        }
        $.ajax({
            type: 'post',
            url: GLOBAL_OBJ.dynamicPath+'wj/shop/sales_volume!search.action?productIds='+id,
            dataType: "json",
            async: false,
            success: function(data) {
                $.each(data, function(i, v) {
                    $('#'+i).html("已有<em>" + v + "</em>人购买");
                })
            }
        });
    };*/
    // 加载活动信息
    var productListActivity = function () {
        var list=$('dd[id^=Activity_]');
        var id = new Array(list.length);
        var idStr="";
        for (var i = 0; i < list.length; i++) {
            id[i] = list[i].id;
            idStr+= list[i].id;
        }
        if(idStr==""){
            return;
        }
        $.ajax({
            type: 'post',
            url: GLOBAL_OBJ.dynamicPath+'wj/sales_volume?methodName=brandCompanyProductListActivity&productIds='+id+'&channelSn=wj',
            dataType: "json",
            async: false,
            success: function(data) {
                $.each(data, function(i, v) {
                    $('#'+i).html(v);
                })
            }
        });
    };
    // 分页获取数据共通方法
    var queryData = function (params) {
        $.ajax({
            url: GLOBAL_OBJ.dynamicPath + "wj/shop/brand_company!queryPageProductData.action",
            type: "post",
            dataType: "json",
            async: true,
            data: params,
            beforeSend:function(){
                pd.showLoading();
            },
            success: function (data) {
                pd.hideLoading();
                if (data.status == "0") {
                    // 拼装html数据
                    var htmlData = "";
                    $(".compay-list-con").html("");
                    if (data.productList != null && data.productList.length > 0) {
                        for(var i = 0;i<data.productList.length;i++){
                            var article = data.productList[i];
                            htmlData += 
								   "<dl class='compayn-list-dl'>"+
										"<dt>"+
											"<h3><a href='"+GLOBAL_OBJ.dynamicPath+article.URL+"' target='_blank' >"+article.Title+"</a></h3>"+
											article.FEMRiskBrightSpot+
										"</dt>"+
										"<dd class='tags' id='Activity_"+article.Prop4+"' >"+
										"</dd>"+
										"<dd>"+
											"<span class='money'><em id='InitPrem_"+article.Prop4+"' >"+parseFloat(article.InitPrem).toFixed(2)+"</em>元 起</span>"+
										"</dd>"+
									"</dl>";
                        }

                        $(".pgbox").find("[data-page]").attr("data-page",data.sumPage);
                        $(".compay-list-con").html(htmlData);
                        // 加载销量
                        //salesVolumeLoad();
                        // 加载活动信息
                        productListActivity();
                    } else {
                    	//如果是空加载一个图片
/*                    	htmlData = "<div class='no-data'>" + 
                    	"<img src='" + GLOBAL_OBJ.staticPath + "images/company/nodata.png' alt=''>" +
                        "<span>当前产品为空，请选择其他分类</span>" +
                        "</div>" */ 
                    	$(".pgbox").find("[data-page]").attr("data-page",0);
                    	$(".compay-list-con").html("");
                    }
                    PageSplit.render(".m-box", data.currentPage);
                 // 更多品牌故事刷新
                    queryCompanyhot();
                }
            }
        });
    };
    // 更多品牌故事刷新
    var queryCompanyhot = function () {
        $.ajax({
            url: GLOBAL_OBJ.dynamicPath + "wj/shop/brand_company!queryCompanyhot.action",
            type: "post",
            dataType: "json",
            async: true,
            success: function (data) {
                if (data.status == "0") {
                    // 拼装html数据
                    var htmlData = "";
                    if (data.productList != null && data.productList.length > 0) {
                        for(var i = 0;i<data.productList.length;i++){
                            var article = data.productList[i];
                            htmlData += 
                                "<li>"+
		                            "<a href='"+GLOBAL_OBJ.dynamicPath+article.URL+"' target='_blank'></a>"+
		                            "<img src='"+GLOBAL_OBJ.staticPath.replace('/r02','')+article.companyLogo+"' alt='"+article.sortName+"' class='logo' />"+
		                            "<p class='name'>"+article.sortName+"</p>"+
		                            "<p class='des'>"+article.Summary+"</p>"+
		                        "</li>";
                        }
                        $(".company-hot-list").html(htmlData);
                        // 加载销量
                        //salesVolumeLoad();
                        // 加载活动信息
                        productListActivity();
                    }  
                }
            }
        });
    };
    

    return {
        init: function() {
            // 加载销量
            //salesVolumeLoad();
            // 加载活动信息
            productListActivity();
            if($(".compayn-list-dl").length==0){
            	$("#staticPageBar").hide();
            	$("#commpany-shop").hide()
            }

        },
        // 二级分类点击事件
        caseCallBack: function (obj) {
            var eRiskType = obj.case;
            $("#eRiskType").val(eRiskType);
          if (eRiskType == "all") {
              window.location.href = GLOBAL_OBJ.dynamicPath + $("#articleUrl").val();
          } else {
              $("#staticPageBar").hide();
              $("#dynamicPageBar").show();
              // 组装查询参数
              var params = {
                  "currentPage": "1",
                  "eRiskType" : eRiskType,
                  "supplierCode" : $("#supplierCode").val(),
                  "pageSize" : "6"
              };
              queryData(params);
          }
        },

        // 翻页
        screenfun:function (oscreen) {
            console.log(oscreen)
            // 组装查询参数
            var params = {
                "currentPage": oscreen.page.current,
                "eRiskType" : $("#eRiskType").val(),
                "supplierCode" : $("#supplierCode").val(),
                "pageSize" : "6"
            };
            queryData(params);
        }
    }
});


